<?xml version="1.0" encoding="utf-8" standalone="yes"?>
<rss version="2.0" xmlns:atom="http://www.w3.org/2005/Atom">
  <channel>
    <title>Customer Users on Enterprise</title>
    <link>https://docs.au.xarios.cloud/enterprise-portal/en-us/api/reference/accounts/customers/users/</link>
    <description>Recent content in Customer Users on Enterprise</description>
    <generator>Hugo -- gohugo.io</generator><atom:link href="https://docs.au.xarios.cloud/enterprise-portal/en-us/api/reference/accounts/customers/users/index.xml" rel="self" type="application/rss+xml" />
    <item>
      <title>Get All</title>
      <link>https://docs.au.xarios.cloud/enterprise-portal/en-us/api/reference/accounts/customers/users/usersgetall/</link>
      <pubDate>Mon, 01 Jan 0001 00:00:00 +0000</pubDate>
      
      <guid>https://docs.au.xarios.cloud/enterprise-portal/en-us/api/reference/accounts/customers/users/usersgetall/</guid>
      <description>Get All#Gets all Users for a Customer tenant.
 GET /v1.0/accounts/{ACCOUNT_TENANT_ID}/customers/{CUSTOMER_TENANT_ID}/users
 Example#This request will get all the Users of the given Customer tenant.
Request#GET https://api.au.myreports.cloud/api/v1.0/accounts/{ACCOUNT_TENANT_ID}/customers/{CUSTOMER_TENANT_ID}/users HTTP/1.1 Authorization: Bearer {TOKEN} Response#HTTP/1.1 200 OK Content-Type: application/json; charset=utf-8 Content-Length: xx { &amp;#34;page_size&amp;#34;: 2, &amp;#34;data&amp;#34;: [{ &amp;#34;id&amp;#34;: &amp;#34;{USER_ID_1}&amp;#34;, &amp;#34;displayName&amp;#34;: &amp;#34;User 1&amp;#34;, &amp;#34;email&amp;#34;: &amp;#34;user1@example.com&amp;#34;, &amp;#34;primaryTenant&amp;#34;: &amp;#34;{CUSTOMER_TENANT_ID}&amp;#34;, &amp;#34;isParent&amp;#34;: false }, { &amp;#34;id&amp;#34;: &amp;#34;{USER_ID_2}&amp;#34;, &amp;#34;displayName&amp;#34;: &amp;#34;User 2&amp;#34;, &amp;#34;email&amp;#34;: &amp;#34;user2@example.</description>
    </item>
    
    <item>
      <title>Get User</title>
      <link>https://docs.au.xarios.cloud/enterprise-portal/en-us/api/reference/accounts/customers/users/usersgetuser/</link>
      <pubDate>Mon, 01 Jan 0001 00:00:00 +0000</pubDate>
      
      <guid>https://docs.au.xarios.cloud/enterprise-portal/en-us/api/reference/accounts/customers/users/usersgetuser/</guid>
      <description>Get User#Gets an existing User from a Customer tenant.
 GET /v1.0/accounts/{ACCOUNT_TENANT_ID}/customers/{CUSTOMER_TENANT_ID}/users/{USER_ID}
 Example#This request will get the specific User within the Customer tenant.
Request#GET https://api.au.myreports.cloud/api/v1.0/accounts/{ACCOUNT_TENANT_ID}/customers/{CUSTOMER_TENANT_ID}/users/{USER_ID} HTTP/1.1 Authorization: Bearer {TOKEN} Response#HTTP/1.1 200 OK Content-Type: application/json; charset=utf-8 Content-Length: xx { &amp;#34;data&amp;#34;: { &amp;#34;id&amp;#34;: &amp;#34;{USER_ID}&amp;#34;, &amp;#34;displayName&amp;#34;: &amp;#34;Customer 1&amp;#34;, &amp;#34;email&amp;#34;: &amp;#34;user1@example.com&amp;#34;, &amp;#34;primaryTenant&amp;#34;: &amp;#34;{CUSTOMER_TENANT_ID}&amp;#34;, &amp;#34;isParent&amp;#34;: false, &amp;#34;roles&amp;#34;: [ &amp;#34;customer.user&amp;#34;, &amp;#34;customer.user.supervisorl3&amp;#34; ] }, &amp;#34;status&amp;#34;: &amp;#34;success&amp;#34;, &amp;#34;timestamp&amp;#34;: &amp;#34;2019-01-01T10:00:00.</description>
    </item>
    
    <item>
      <title>Create User</title>
      <link>https://docs.au.xarios.cloud/enterprise-portal/en-us/api/reference/accounts/customers/users/userspost/</link>
      <pubDate>Mon, 01 Jan 0001 00:00:00 +0000</pubDate>
      
      <guid>https://docs.au.xarios.cloud/enterprise-portal/en-us/api/reference/accounts/customers/users/userspost/</guid>
      <description>Create User#Creates a new User assigned to a Customer tenant.
 POST /v1.0/accounts/{ACCOUNT_TENANT_ID}/customers/{CUSTOMER_TENANT_ID}/users
 Remarks#Whenever a new User is created they will be given the &amp;quot;customer.user&amp;quot; role that allows them to login to the Customer portal. This will also send out an activation email to the address provided as soon as the User is created.
Example#This request will create a new User with the following details:</description>
    </item>
    
    <item>
      <title>Patch User</title>
      <link>https://docs.au.xarios.cloud/enterprise-portal/en-us/api/reference/accounts/customers/users/userspatch/</link>
      <pubDate>Mon, 01 Jan 0001 00:00:00 +0000</pubDate>
      
      <guid>https://docs.au.xarios.cloud/enterprise-portal/en-us/api/reference/accounts/customers/users/userspatch/</guid>
      <description>Patch User#Updates a specific set of properties of a User. This uses the JSON Patch format for any changes.
 PATCH /v1.0/accounts/{ACCOUNT_TENANT_ID}/customers/{CUSTOMER_TENANT_ID}/users/{USER_ID}
 Hand Left warning
When patching the roles against a user, be careful if using the REPLACE operation. With the replace operation, the user&#39;s current roles will be replaced with the values provided in the patch request. Any role not provided in the patch request will be removed from the user (with the exception of the PBX user role which is synchronized from the PBX).</description>
    </item>
    
    <item>
      <title>Update User Device</title>
      <link>https://docs.au.xarios.cloud/enterprise-portal/en-us/api/reference/accounts/customers/users/userdevices/</link>
      <pubDate>Mon, 01 Jan 0001 00:00:00 +0000</pubDate>
      
      <guid>https://docs.au.xarios.cloud/enterprise-portal/en-us/api/reference/accounts/customers/users/userdevices/</guid>
      <description>Update User Device#This endpoint allows existing devices to be assigned (or removed) as softphone devices for a user for ~.UcClient.~ Desktop, Mobile &amp;amp; WebRTC.
Assign a Device
 PUT /v1.0/accounts/{ACCOUNT_TENANT_ID}/customers/{CUSTOMER_TENANT_ID}/users/{USER_ID}/devices/pbx/{DEVICE_ID}/assign
 Unassign a Device
 PUT /v1.0/accounts/{ACCOUNT_TENANT_ID}/customers/{CUSTOMER_TENANT_ID}/users/{USER_ID}/devices/pbx/{DEVICE_ID}/unassign
 The Body of the request needs to contain a single JSON property to indicate which type of client the device is being assigned to:
{ &amp;#34;clientType&amp;#34;: &amp;#34;desktop&amp;#34; } Valid clientType values:</description>
    </item>
    
    <item>
      <title>Delete User</title>
      <link>https://docs.au.xarios.cloud/enterprise-portal/en-us/api/reference/accounts/customers/users/usersdelete/</link>
      <pubDate>Mon, 01 Jan 0001 00:00:00 +0000</pubDate>
      
      <guid>https://docs.au.xarios.cloud/enterprise-portal/en-us/api/reference/accounts/customers/users/usersdelete/</guid>
      <description>Delete User#Deletes an existing User from the Customer tenant.
If this is a user&#39;s non primary tenant, it will remove them only from this tenant. They will still have access to any other Customer they are assigned.
If this is the user&#39;s primary tenant, it will remove them from ALL other Customer tenants and delete the User account.
Request# DELETE /v1.0/accounts/{ACCOUNT_TENANT_ID}/customers/{CUSTOMER_TENANT_ID}/users/{USER_ID}
 Example#This request will delete the specific User within the Customer tenant.</description>
    </item>
    
    <item>
      <title>Send New User Email</title>
      <link>https://docs.au.xarios.cloud/enterprise-portal/en-us/api/reference/accounts/customers/users/userssendactivationlink/</link>
      <pubDate>Mon, 01 Jan 0001 00:00:00 +0000</pubDate>
      
      <guid>https://docs.au.xarios.cloud/enterprise-portal/en-us/api/reference/accounts/customers/users/userssendactivationlink/</guid>
      <description>Send New User Email#Sends a Welcome email link to an existing User.
 POST /v1.0/accounts/{ACCOUNT_TENANT_ID}/customers/{CUSTOMER_TENANT_ID}/users/{USER_ID}/sendActivationEmail
 Document note
This will be done automatically if the sendNewUserEmail property is enabled on the customer account.Example#This request will get send an activations link to this User within the Customer tenant.
Hand Left warning
Activation emails can only be sent from the User&#39;s primary tenant.</description>
    </item>
    
    <item>
      <title>Send Unified Communications Welcome Email</title>
      <link>https://docs.au.xarios.cloud/enterprise-portal/en-us/api/reference/accounts/customers/users/userssenducemail/</link>
      <pubDate>Mon, 01 Jan 0001 00:00:00 +0000</pubDate>
      
      <guid>https://docs.au.xarios.cloud/enterprise-portal/en-us/api/reference/accounts/customers/users/userssenducemail/</guid>
      <description>Send Unified Communications Welcome Email#Sends a welcome email to a user when they are enabled to use a unified communications client.
 POST /v1.0/accounts/{ACCOUNT_TENANT_ID}/customers/{CUSTOMER_TENANT_ID}/users/{USER_ID}/sendUConnectActivationEmail
 Document note
This will be done automatically if the sendConnectWelcomeEmail property is enabled on the customer account.Example#This request will get send an activations link to this User within the Customer tenant.
Hand Left warning</description>
    </item>
    
  </channel>
</rss>
